> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v10token list



## OpenAPI

````yaml /dln-details/swagger/create-tx.json get /v1.0/token-list
openapi: 3.0.0
info:
  title: deBridge Liquidity Network (DLN) API
  description: >-
    A turnkey solution for a high-performance cross-chain trading<br><br><a
    href="https://docs.debridge.finance/dln-the-debridge-liquidity-network-protocol/interacting-with-the-api/quick-start-guide">Quick
    Start Guide</a>
  version: 1.0.0
  contact: {}
  termsOfService: https://app.debridge.finance/assets/files/DLN-TermsOfService.pdf
servers:
  - url: https://dln.debridge.finance
security: []
tags: []
externalDocs:
  description: DLN API documentation
  url: >-
    https://docs.debridge.finance/dln-the-debridge-liquidity-network-protocol/introduction
paths:
  /v1.0/token-list:
    get:
      tags:
        - AppControllerV10
        - utils
      operationId: AppControllerV10_getTokens
      parameters:
        - name: chainId
          required: true
          in: query
          description: ID of a chain
          example:
            '1':
              summary: Ethereum
              value: '1'
            '10':
              summary: Optimism
              value: '10'
            '56':
              summary: BNB Chain
              value: '56'
            '137':
              summary: Polygon
              value: '137'
            '8453':
              summary: Base
              value: '8453'
            '42161':
              summary: Arbitrum One
              value: '42161'
            '43114':
              summary: Avalanche
              value: '43114'
            '59144':
              summary: Linea
              value: '59144'
            '7565164':
              summary: Solana
              value: '7565164'
            '100000001':
              summary: Neon
              value: '100000001'
            '100000002':
              summary: Gnosis
              value: '100000002'
            '100000008':
              summary: Zilliqa
              value: '100000008'
            '100000009':
              summary: Flow
              value: '100000009'
            '100000013':
              summary: Story
              value: '100000013'
            '100000014':
              summary: Sonic
              value: '100000014'
            '100000017':
              summary: Abstract
              value: '100000017'
            '100000019':
              summary: Cronos
              value: '100000019'
            '100000020':
              summary: Berachain
              value: '100000020'
            '100000021':
              summary: Bob
              value: '100000021'
            '100000022':
              summary: HyperEVM
              value: '100000022'
            '100000023':
              summary: Mantle
              value: '100000023'
            '100000025':
              summary: Sophon
              value: '100000025'
            '100000026':
              summary: Tron
              value: '100000026'
            '100000027':
              summary: Sei
              value: '100000027'
            '100000028':
              summary: Plasma
              value: '100000028'
            '100000029':
              summary: Injective
              value: '100000029'
            '100000030':
              summary: Monad
              value: '100000030'
            '100000031':
              summary: Megaeth
              value: '100000031'
          schema:
            type: string
            enum:
              - '1'
              - '10'
              - '56'
              - '137'
              - '8453'
              - '42161'
              - '43114'
              - '59144'
              - '7565164'
              - '100000001'
              - '100000002'
              - '100000008'
              - '100000009'
              - '100000013'
              - '100000014'
              - '100000017'
              - '100000019'
              - '100000020'
              - '100000021'
              - '100000022'
              - '100000023'
              - '100000025'
              - '100000026'
              - '100000027'
              - '100000028'
              - '100000029'
              - '100000030'
              - '100000031'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenListResponse'
components:
  schemas:
    TokenListResponse:
      type: object
      properties:
        tokens:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/TokenInfo1InchEntity'
          example:
            '0x0327112423f3a68efdf1fcf402f6c5cb9f7c33fd':
              symbol: BTC++
              name: PieDAO BTC++
              decimals: 18
              address: '0x0327112423f3a68efdf1fcf402f6c5cb9f7c33fd'
              logoURI: >-
                https://tokens.1inch.io/0x0327112423f3a68efdf1fcf402f6c5cb9f7c33fd.png
              tags:
                - tokens
                - PEG:BTC
      required:
        - tokens
    TokenInfo1InchEntity:
      type: object
      properties:
        symbol:
          type: string
          example: BTC++
        name:
          type: string
          example: PieDAO BTC++
        decimals:
          type: number
          example: 18
        address:
          type: string
          example: '0x0327112423f3a68efdf1fcf402f6c5cb9f7c33fd'
        logoURI:
          type: string
          example: >-
            https://tokens.1inch.io/0x0327112423f3a68efdf1fcf402f6c5cb9f7c33fd.png
        tags:
          example:
            - tokens
            - PEG:BTC
          type: array
          items:
            type: string
      required:
        - symbol
        - name
        - decimals
        - address
        - logoURI
        - tags

````